ILOGB(3)

NAME
ilogb - return exponent as an integer value

SYNOPSIS
#include <math.h>
int
ilogb(double x);
int
ilogbl(long double x);
int
ilogbf(float x);

DESCRIPTION
The ilogb() functions return the exponent of x as a signed integer value.

SPECIAL VALUES
ilogb(±0) returns FP_ILOGB0.

ilogb(±infinity) returns INT_MAX.

ilogb(x) returns FP_ILOGBNAN if x is a NaN.

A range error may occur if x is 0, ±infinity, or a nan.

The special return values FP_ILOGB0 and FP_ILOGBNAN are defined in math.h, and may differ between platforms. INT_MAX is defined in limits.h.

SEE ALSO
math(3)

STANDARDS
The ilogb() functions conform to ISO/IEC 9899:2011.